Debian Bug report logs - #651488
support Multi-Arch

version graph

Package: ibus; Maintainer for ibus is IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>; Source for ibus is src:ibus.

Reported by: Kees Cook <kees@debian.org>

Date: Fri, 9 Dec 2011 02:39:01 UTC

Severity: normal

Tags: patch

Found in version ibus/1.4.0-2

Fixed in version ibus/1.4.0-3

Done: Osamu Aoki <osamu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#651488; Package ibus. (Fri, 09 Dec 2011 02:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@debian.org>:
New Bug report received and forwarded. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 09 Dec 2011 02:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: Debian Bugs <submit@bugs.debian.org>
Subject: support Multi-Arch
Date: Thu, 8 Dec 2011 18:36:40 -0800
[Message part 1 (text/plain, inline)]
Package: ibus
Version: 1.4.0-2
Severity: normal
Tags: patch

Hello!

This patch provides full Multi-Arch support for ibus and the libraries and
plugins it ships.

Thanks!

-Kees

-- 
Kees Cook                                            @debian.org
[ibus_1.4.0-3.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#651488; Package ibus. (Fri, 09 Dec 2011 14:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 09 Dec 2011 14:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 651488@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Kees Cook <kees@debian.org>, 651488@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#651488: support Multi-Arch
Date: Fri, 9 Dec 2011 23:45:28 +0900
Hi,

Thanks for the patch.  Before uploading package with your patch, I have
few things which I like you to help me.

I am still not clear on how to make package for full Multi-Arch support.

This is serious redoing of autotools thingy.  Great.

I have 3 questions:

#Q1:

I am wondering about
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=558568
This requests autoreconf.
Does this patch address to fix this bug too?

#Q2:
Where is the howto for all these complicated packaging tricks.


#Q3 do we need to hardcode exact $DEB_HOST_MULTIARCH as below.  What is
the negative of just using * for those location as below?

On Thu, Dec 08, 2011 at 06:36:40PM -0800, Kees Cook wrote:
...
> diff -Nru ibus-1.4.0/debian/xinput/ibus ibus-1.4.0/debian/xinput/ibus
> --- ibus-1.4.0/debian/xinput/ibus	2011-12-07 05:29:37.000000000 -0800
> +++ ibus-1.4.0/debian/xinput/ibus	2011-12-08 18:28:41.000000000 -0800
> @@ -1,15 +1,16 @@
>  XIM=ibus
>  XIM_PROGRAM=/usr/bin/ibus-daemon
>  XIM_ARGS="--xim"
> -if [ -e /usr/lib/gtk-3.0/*/immodules/im-ibus.so ] \
> -   && [ -e /usr/lib/gtk-2.0/*/immodules/im-ibus.so ]
> +DEB_HOST_MULTIARCH=$(dpkg-architecture -qDEB_HOST_MULTIARCH)
> +if [ -e /usr/lib/"$DEB_HOST_MULTIARCH"/gtk-3.0/*/immodules/im-ibus.so ] \
> +   && [ -e /usr/lib/"$DEB_HOST_MULTIARCH"/gtk-2.0/*/immodules/im-ibus.so ]
>  then
>      GTK_IM_MODULE=ibus
>  else
>      GTK_IM_MODULE=xim
>  fi
>  
> -if [ -e /usr/lib/qt4/plugins/inputmethods/libqtim-ibus.so ]; then
> +if [ -e /usr/lib/"$DEB_HOST_MULTIARCH"/qt4/plugins/inputmethods/libqtim-ibus.so ]; then
>  	QT_IM_MODULE=ibus
>  else
>  	QT_IM_MODULE=xim







Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#651488; Package ibus. (Fri, 09 Dec 2011 16:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 09 Dec 2011 16:48:06 GMT) Full text and rfc822 format available.

Message #15 received at 651488@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: Osamu Aoki <osamu@debian.org>
Cc: 651488@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#651488: support Multi-Arch
Date: Fri, 9 Dec 2011 08:44:38 -0800
Hi Osamu,

On Fri, Dec 09, 2011 at 11:45:28PM +0900, Osamu Aoki wrote:
> Thanks for the patch.  Before uploading package with your patch, I have
> few things which I like you to help me.

Sure!

> I am still not clear on how to make package for full Multi-Arch support.

The main guide for this is here:
http://wiki.debian.org/Multiarch/Implementation

Fundamentally, packages that provide shared libraries need to be
co-installable. For packages that provide non-system shared libraries
("plugins"), things get a little bit more complex. In ibus's case, it's a
provider of plugins, rather than a consumer, so its job is easier (it just
needs to put plugins into the locations that the plugin consumer is
expecting it -- hence the changes for the gtk and gtk2 libdir).

> This is serious redoing of autotools thingy.  Great.

Yeah, I think that patch probably needs to go upstream. It's really a bug
that they were using libdir instead of pkglibdir.

> #Q1:
> 
> I am wondering about
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=558568
> This requests autoreconf.
> Does this patch address to fix this bug too?

This is not fixed as far as I know. The changes made for multi-arch were
just to swap pkglibdir for libdir, and doesn't need do any autoreconf
calls.

> #Q2:
> Where is the howto for all these complicated packaging tricks.

Mentioned above, http://wiki.debian.org/Multiarch/Implementation
As for the Makefile changes, that comes from my experience with automake
and the various targets. For more details on the file location details, see
http://sourceware.org/autobook/autobook/autobook_106.html

> #Q3 do we need to hardcode exact $DEB_HOST_MULTIARCH as below.  What is
> the negative of just using * for those location as below?

The problem comes when multiple architectures are installed on the system,
or potentially, only the non-native version is installed. In which case "*"
would match it, but not actually be available. Since the xinput.d script
runs only for the native system, it needs to examine its environment from
only the native library perspective. At least that is my understanding of
the logic in that script.

Thanks!

-Kees

-- 
Kees Cook                                            @debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#651488; Package ibus. (Sat, 10 Dec 2011 02:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 10 Dec 2011 02:03:03 GMT) Full text and rfc822 format available.

Message #20 received at 651488@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Kees Cook <kees@debian.org>
Cc: 651488@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#651488: support Multi-Arch
Date: Sat, 10 Dec 2011 10:59:42 +0900
Hi,

Thanks.  Your reply solved all my qestions but caused one more question
to fix another bug.

On Fri, Dec 09, 2011 at 08:44:38AM -0800, Kees Cook wrote:
> Hi Osamu,
> > #Q3 do we need to hardcode exact $DEB_HOST_MULTIARCH as below.  What is
> > the negative of just using * for those location as below?
> 
> The problem comes when multiple architectures are installed on the system,
> or potentially, only the non-native version is installed. In which case "*"
> would match it, but not actually be available. Since the xinput.d script
> runs only for the native system, it needs to examine its environment from
> only the native library perspective. At least that is my understanding of
> the logic in that script.

That was my thought too.  Good.  I do not expect this to be high risk
but why not do it this way, since ibus is an arch any package,
$DEB_HOST_MULTIARCH can be hardcoded in for im-switch.

This means im-config should do the same to be safer but how to do the
same for im-config which is an arch all package.

  FYI: I am deprecating im-switch and pushing im-config.  im-switch is
  over engineered and harder to extend to support cases like requiring 2
  independent packages for activating IM (GTK2+GTK3).  The only negative
  of im-config is that its driving data are all in one package so
  maintainer has to fix for every IM.  But this negative can be sais as
  positive of good consistency.

I guess I need to set it in the run time using $DEB_BUILD_MULTIARCH or
$DEB_HOST_MULTIARCH ?

Since $DEB_HOST_MULTIARCH seems for target machine, $DEB_BUILD_MULTIARCH
seems to be the right choice to know from the native library perspective
in run time.

To get this, is the use of dpkg-architecture best way or simpler way.

Osamu




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#651488; Package ibus. (Sat, 10 Dec 2011 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 10 Dec 2011 02:51:03 GMT) Full text and rfc822 format available.

Message #25 received at 651488@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Osamu Aoki <osamu@debian.org>, 651488@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#651488: Bug#651488: support Multi-Arch
Date: Sat, 10 Dec 2011 10:48:46 +0800
On Sat, Dec 10, 2011 at 09:59, Osamu Aoki <osamu@debian.org> wrote:
> Hi,
>
> Thanks.  Your reply solved all my qestions but caused one more question
> to fix another bug.
>
> On Fri, Dec 09, 2011 at 08:44:38AM -0800, Kees Cook wrote:
>> Hi Osamu,
>> > #Q3 do we need to hardcode exact $DEB_HOST_MULTIARCH as below.  What is
>> > the negative of just using * for those location as below?
>>
>> The problem comes when multiple architectures are installed on the system,
>> or potentially, only the non-native version is installed. In which case "*"
>> would match it, but not actually be available. Since the xinput.d script
>> runs only for the native system, it needs to examine its environment from
>> only the native library perspective. At least that is my understanding of
>> the logic in that script.
>
> That was my thought too.  Good.  I do not expect this to be high risk
> but why not do it this way, since ibus is an arch any package,
> $DEB_HOST_MULTIARCH can be hardcoded in for im-switch.
>
> This means im-config should do the same to be safer but how to do the
> same for im-config which is an arch all package.
>

It's still a remaining problem for discussion because no better
solution other than a wildcard is around AFAIK.

>
> I guess I need to set it in the run time using $DEB_BUILD_MULTIARCH or
> $DEB_HOST_MULTIARCH ?
>
> Since $DEB_HOST_MULTIARCH seems for target machine, $DEB_BUILD_MULTIARCH
> seems to be the right choice to know from the native library perspective
> in run time.
>
> To get this, is the use of dpkg-architecture best way or simpler way.
>
> Osamu
>
>

Yes, you can get that variable through dpkg-archiecture, but it isn't
the correct approach. Because /usr/bin/dpkg-architecture is provided
by dpkg-dev, which is not an acceptable dependency for a user-oriented
binary package.


-- 
Regards,
Aron Xu




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#651488; Package ibus. (Sat, 10 Dec 2011 06:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 10 Dec 2011 06:21:12 GMT) Full text and rfc822 format available.

Message #30 received at 651488@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: Osamu Aoki <osamu@debian.org>
Cc: 651488@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#651488: support Multi-Arch
Date: Fri, 9 Dec 2011 22:20:54 -0800
On Sat, Dec 10, 2011 at 10:59:42AM +0900, Osamu Aoki wrote:
> I guess I need to set it in the run time using $DEB_BUILD_MULTIARCH or
> $DEB_HOST_MULTIARCH ?
> 
> Since $DEB_HOST_MULTIARCH seems for target machine, $DEB_BUILD_MULTIARCH
> seems to be the right choice to know from the native library perspective
> in run time.
> 
> To get this, is the use of dpkg-architecture best way or simpler way.

I would use DEB_HOST_MULTIARCH during the build to hardcode it into
the program, which is what is already done for things like ibus-daemon
via the build system.

-- 
Kees Cook                                            @debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#651488; Package ibus. (Sat, 10 Dec 2011 11:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 10 Dec 2011 11:54:13 GMT) Full text and rfc822 format available.

Message #35 received at 651488@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Kees Cook <kees@debian.org>
Cc: 651488@bugs.debian.org, Aron Xu <happyaron.xu@gmail.com>
Subject: Re: [Pkg-ime-devel] Bug#651488: support Multi-Arch
Date: Sat, 10 Dec 2011 20:41:01 +0900
Hi,

On Fri, Dec 09, 2011 at 10:20:54PM -0800, Kees Cook wrote:
> On Sat, Dec 10, 2011 at 10:59:42AM +0900, Osamu Aoki wrote:
> > I guess I need to set it in the run time using $DEB_BUILD_MULTIARCH or
> > $DEB_HOST_MULTIARCH ?
> > 
> > Since $DEB_HOST_MULTIARCH seems for target machine, $DEB_BUILD_MULTIARCH
> > seems to be the right choice to know from the native library perspective
> > in run time.
> > 
> > To get this, is the use of dpkg-architecture best way or simpler way.
> 
> I would use DEB_HOST_MULTIARCH during the build to hardcode it into
> the program, which is what is already done for things like ibus-daemon
> via the build system.

Yes.  I agree ***during the build to hardcode it*** but not to add
dependency to dpkg-dev to decide it under ***normal client run time***.
(I think your proposed patch does not list dpkg-dev as dependency which
I think is bug for your code.)

Also, I question the rationale for your proposed patch which has
dpkg-architecture run on execution time during X start up code.  Your
actual X client program under multiarch may be running under a different
arch and requesting different arch libraries.

In conclusion, your patch to the ibus-1.4.0/debian/xinput/ibus file is
essentially reverted but everything else looked good.

As for the possible issues raised by you, we can not do much with the
current design of X start up code exporting some variables.  Whoever
wishes to have usable multiarch under X with input method supported for
all, they have to install them all.  This awkward situation comes from
fundamental issues of this multiarch system design.  It does not give
arch specific /etc .

The only extra fixes I can think of are if clause.  Since * may match
many binaries, we need to make script more robust like what I fix this
problem using while loop just like im-config

Thanks for your help.  Now I am a bit more up-to-date with multiarch.

Aron,

I listen to you. I will not touch im-config on this issue.  (I still
have to fix fcitx description and add po support for messages.)

Osamu





Added tag(s) pending. Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Wed, 14 Dec 2011 14:42:12 GMT) Full text and rfc822 format available.

Reply sent to Osamu Aoki <osamu@debian.org>:
You have taken responsibility. (Thu, 15 Dec 2011 15:51:13 GMT) Full text and rfc822 format available.

Notification sent to Kees Cook <kees@debian.org>:
Bug acknowledged by developer. (Thu, 15 Dec 2011 15:51:14 GMT) Full text and rfc822 format available.

Message #42 received at 651488-close@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 651488-close@bugs.debian.org
Subject: Bug#651488: fixed in ibus 1.4.0-3
Date: Thu, 15 Dec 2011 15:47:16 +0000
Source: ibus
Source-Version: 1.4.0-3

We believe that the bug you reported is fixed in the latest version of
ibus, which is due to be installed in the Debian FTP archive:

ibus-doc_1.4.0-3_all.deb
  to main/i/ibus/ibus-doc_1.4.0-3_all.deb
ibus-gtk3_1.4.0-3_amd64.deb
  to main/i/ibus/ibus-gtk3_1.4.0-3_amd64.deb
ibus-gtk_1.4.0-3_amd64.deb
  to main/i/ibus/ibus-gtk_1.4.0-3_amd64.deb
ibus_1.4.0-3.debian.tar.gz
  to main/i/ibus/ibus_1.4.0-3.debian.tar.gz
ibus_1.4.0-3.dsc
  to main/i/ibus/ibus_1.4.0-3.dsc
ibus_1.4.0-3_amd64.deb
  to main/i/ibus/ibus_1.4.0-3_amd64.deb
libibus-1.0-0_1.4.0-3_amd64.deb
  to main/i/ibus/libibus-1.0-0_1.4.0-3_amd64.deb
libibus-1.0-dev_1.4.0-3_amd64.deb
  to main/i/ibus/libibus-1.0-dev_1.4.0-3_amd64.deb
python-ibus_1.4.0-3_all.deb
  to main/i/ibus/python-ibus_1.4.0-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651488@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Osamu Aoki <osamu@debian.org> (supplier of updated ibus package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 15 Dec 2011 23:44:12 +0900
Source: ibus
Binary: ibus libibus-1.0-0 libibus-1.0-dev ibus-gtk ibus-gtk3 python-ibus ibus-doc
Architecture: source amd64 all
Version: 1.4.0-3
Distribution: unstable
Urgency: low
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Changed-By: Osamu Aoki <osamu@debian.org>
Description: 
 ibus       - Intelligent Input Bus - core
 ibus-doc   - Intelligent Input Bus - development documentation
 ibus-gtk   - Intelligent Input Bus - GTK+2 support
 ibus-gtk3  - Intelligent Input Bus - GTK+3 support
 libibus-1.0-0 - Intelligent Input Bus - shared library
 libibus-1.0-dev - Intelligent Input Bus - development file
 python-ibus - Intelligent Input Bus - Python support
Closes: 558568 651488
Changes: 
 ibus (1.4.0-3) unstable; urgency=low
 .
   [ Kees Cook ]
   * debian/{control,*.install}: Convert to Multi-Arch. Closes: #651488
   * debian/patches/use_pkglibexec.patch: modify upstream build to use
     pkglibexec instead of libexec, since this provides the ibus/
     subdirectory.
   * proper-gtk-plugin-path.patch: adjust to leave gtk3 where it thinks
     it should be.
 .
   [ Osamu Aoki ]
   * debian/xinput/ibus: adopt to multiarch having multiple matches.
   * Add comments to patch fixing #642317 in 1.4.0-2.
   * Add im-switch as seconday choice for smoother upgrade.
   * Enable autoreconf for each build. Closes: #558568
Checksums-Sha1: 
 a3f2bee45b06a878a7a0952dcbbe2fe53d352c07 1851 ibus_1.4.0-3.dsc
 bb762e275e859e878d7f74a3ff68817a404d4f18 17604 ibus_1.4.0-3.debian.tar.gz
 44c2ef1760150682f281580f459e0362f3122904 434936 ibus_1.4.0-3_amd64.deb
 867ac89b672c5d11c4a480b437233e601262168d 255788 libibus-1.0-0_1.4.0-3_amd64.deb
 8d94602af790fa96a990aa58ca7be70e4f133378 346012 libibus-1.0-dev_1.4.0-3_amd64.deb
 808249eca70b86d858b7b2f129a6ebbb6faf0693 161134 ibus-gtk_1.4.0-3_amd64.deb
 cd1a122818816b093adbe5ce62f47d04aec3fa28 161148 ibus-gtk3_1.4.0-3_amd64.deb
 3eab413541e2eed80fa9b9b0b9d6d722c2b74d00 181606 python-ibus_1.4.0-3_all.deb
 23e1551a451b3f957462311c1bded859069c70d0 351194 ibus-doc_1.4.0-3_all.deb
Checksums-Sha256: 
 4384af0a5177a5d52d38759240e7671b4f11fcfa2a17b274a6c07bd112790e9c 1851 ibus_1.4.0-3.dsc
 e079f352e78bc25de25d6726613639ba487c6f73fa8cd7afe2a4a97662351d9b 17604 ibus_1.4.0-3.debian.tar.gz
 c089cac1271218852a47a982d8c35307c7ef96311c7600e750128b5ed45d69b1 434936 ibus_1.4.0-3_amd64.deb
 2c16d519d41e454bd74f9756dff6ee1a2ab971f46cf6aa8b55f92e8fa7cd0d6a 255788 libibus-1.0-0_1.4.0-3_amd64.deb
 6f0cd243b28ca3df43f079f393f5bdfcc5fc8ab56692b4e0c8a67d266f172fe0 346012 libibus-1.0-dev_1.4.0-3_amd64.deb
 b061db481aaa062c055a56238b4b8633c50503b5a0469688ffcd0294bd2efcd8 161134 ibus-gtk_1.4.0-3_amd64.deb
 446396d399aa6ef299cd74661cee52fa988a9d28416631de18814be68d6bba6b 161148 ibus-gtk3_1.4.0-3_amd64.deb
 b55d9cb353d5c52e9673e9746c819df7986c41ef2252661a7a1b96ac306c264d 181606 python-ibus_1.4.0-3_all.deb
 45f1dcb5cadb136be83e0a74f57a6c9cfc0354fd718397ac4db325b4e20efa92 351194 ibus-doc_1.4.0-3_all.deb
Files: 
 01e89024d3ba54ff23fc6e39756cf94f 1851 utils optional ibus_1.4.0-3.dsc
 5ebbd5e96354766266515ffcf288e771 17604 utils optional ibus_1.4.0-3.debian.tar.gz
 6e79b9c2142c43096d4b5b257323217d 434936 utils optional ibus_1.4.0-3_amd64.deb
 2e286274c68a3f748eb96a1647a40724 255788 libs optional libibus-1.0-0_1.4.0-3_amd64.deb
 0dc3e1705dc6eb7aca4a74a1d6175a1a 346012 libdevel optional libibus-1.0-dev_1.4.0-3_amd64.deb
 9943b43a78c2cc7b52fad5c220571b6d 161134 utils optional ibus-gtk_1.4.0-3_amd64.deb
 585785df39e20fe9de02ba878238fafa 161148 utils optional ibus-gtk3_1.4.0-3_amd64.deb
 3388384c77cbbeb23de564a35b340e40 181606 python optional python-ibus_1.4.0-3_all.deb
 869de8322250957fa1d790df0d9acb02 351194 doc optional ibus-doc_1.4.0-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7qEUwACgkQ6A/EwagGHzLtQACdGobRZICIzfzSOPxIvKTfjhUC
y3UAnRPJH8SZ0dFxJGVPZcxNhkPH+YnI
=FjAQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 Jan 2012 07:42:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 03:54:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.